# Light

#### new Light()

Source:
  - devices/light.js, line 26

### Extends

- Device

### Members

#### (readonly) connected

##### Properties:

Name | Type | Description
--- | --- | ---
`connected` | boolean | Check if the device is still attached.

Inherited From:
  - Device#connected
Source:
  - devices/device.js, line 76

#### (readonly) hub

##### Properties:

Name | Type | Description
--- | --- | ---
`hub` | Hub | The Hub the device is attached to.

Inherited From:
  - Device#hub
Source:
  - devices/device.js, line 83

#### (readonly) isVirtualPort

##### Properties:

Name | Type | Description
--- | --- | ---
`isVirtualPort` | boolean | Is this device attached to a virtual port (ie. a combined device)

Inherited From:
  - Device#isVirtualPort
Source:
  - devices/device.js, line 120

#### (readonly) mode

##### Properties:

Name | Type | Description
--- | --- | ---
`mode` | number | The mode the device is currently in

Inherited From:
  - Device#mode
Source:
  - devices/device.js, line 110

#### (readonly) portName

##### Properties:

Name | Type | Description
--- | --- | ---
`portName` | string | The port the device is attached to.

Inherited From:
  - Device#portName
Source:
  - devices/device.js, line 93

#### (readonly) type

##### Properties:

Name | Type | Description
--- | --- | ---
`type` | number | The type of the device

Inherited From:
  - Device#type
Source:
  - devices/device.js, line 100

### Methods

#### rampBrightness(fromBrightness, toBrightness, time) → {Promise}

Ramp the light brightness.

##### Parameters:

Name | Type | Description
--- | --- | ---
`fromBrightness` | number | Brightness value between 0-100 (0 is off)
`toBrightness` | number | Brightness value between 0-100 (0 is off)
`time` | number | How long the ramp should last (in milliseconds).

Source:
  - devices/light.js, line 49

#### setBrightness(brightness) → {Promise}

Set the light brightness.

##### Parameters:

Name | Type | Description
--- | --- | ---
`brightness` | number | Brightness value between 0-100 (0 is off)

Source:
  - devices/light.js, line 34